Get Definition
curl --request POST \
--url https://api.velt.dev/v2/workflow/definitions/get \
--header 'Content-Type: application/json' \
--header 'x-velt-api-key: <x-velt-api-key>' \
--header 'x-velt-auth-token: <x-velt-auth-token>' \
--data '
{
"data": {
"definitionId": "<string>",
"organizationId": "<string>",
"documentId": "<string>"
}
}
'import requests
url = "https://api.velt.dev/v2/workflow/definitions/get"
payload = { "data": {
"definitionId": "<string>",
"organizationId": "<string>",
"documentId": "<string>"
} }
headers = {
"x-velt-api-key": "<x-velt-api-key>",
"x-velt-auth-token": "<x-velt-auth-token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-velt-api-key': '<x-velt-api-key>',
'x-velt-auth-token': '<x-velt-auth-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {definitionId: '<string>', organizationId: '<string>', documentId: '<string>'}
})
};
fetch('https://api.velt.dev/v2/workflow/definitions/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"definitionId": "marketing-copy-approval",
"name": "Marketing copy approval",
"description": null,
"version": 1,
"scope": { "level": "apiKey", "organizationId": null, "documentId": null },
"nodes": [],
"edges": [],
"groups": [],
"triggers": null,
"tags": null,
"custom": null,
"createdAt": 1731432000000,
"updatedAt": 1731432000000,
"status": "active"
}
}
Definitions
Get approval definition (v2)
Fetch a single approval workflow definition with its nodes, edges, and parallel groups by ID using the Velt v2 REST API for inspection and audits.
POST
/
v2
/
workflow
/
definitions
/
get
Get Definition
Use this API to fetch a workflow definition. Returns the full
Errors:
DefinitionView. Filters out tombstoned definitions.
Endpoint
POST https://api.velt.dev/v2/workflow/definitions/get
Headers
Your API key.
Your Auth Token.
Body
Params
Example Requests
Get a definition
{
"data": {
"definitionId": "marketing-copy-approval"
}
}
Response
Success Response
{
"result": {
"definitionId": "marketing-copy-approval",
"name": "Marketing copy approval",
"description": null,
"version": 1,
"scope": { "level": "apiKey", "organizationId": null, "documentId": null },
"nodes": [ /* full node array */ ],
"edges": [ /* full edge array */ ],
"groups": [ /* full group array */ ],
"triggers": null,
"tags": null,
"custom": null,
"createdAt": 1731432000000,
"updatedAt": 1731432000000,
"status": "active"
}
}
Failure Response
{
"error": {
"message": "ERROR_MESSAGE",
"status": "NOT_FOUND"
}
}
NOT_FOUND (definition does not exist or is tombstoned) / INVALID_ARGUMENT.
{
"result": {
"definitionId": "marketing-copy-approval",
"name": "Marketing copy approval",
"description": null,
"version": 1,
"scope": { "level": "apiKey", "organizationId": null, "documentId": null },
"nodes": [],
"edges": [],
"groups": [],
"triggers": null,
"tags": null,
"custom": null,
"createdAt": 1731432000000,
"updatedAt": 1731432000000,
"status": "active"
}
}
Was this page helpful?
⌘I

